/* This file has been prepared for Doxygen automatic documentation generation.*/
/*! \file *********************************************************************
 *
 * \brief
 *      Header file for PWM.c
 *
 *      Contains definitions to control PWM behaviour.
 *
 * \par Application note:
 *      AVR458: Charging Li-Ion Batteries with BC100
 *
 * \par Documentation
 *      For comprehensive code documentation, supported compilers, compiler 
 *      settings and supported devices see readme.html
 *
 * \author
 *      Atmel Corporation: http://www.atmel.com \n
 *      Support email: avr@atmel.com
 *
 * 
 * $Name$
 * $Revision: 2261 $
 * $RCSfile$
 * $URL: http://svn.norway.atmel.com/AppsAVR8/avr458_Charging_Li-Ion_Batteries_with_BC100/tag/20070904_release_1.0/code/IAR/PWM.h $
 * $Date: 2007-08-10 09:28:35 +0200 (fr, 10 aug 2007) $\n
 ******************************************************************************/

#ifndef PWM_H
#define PWM_H

//******************************************************************************
// Constants for PWM
//******************************************************************************
//! Needed for JumperCheck() to succeed. ADC is saturated otherwise!
#define PWM_OFFSET     12

//! PWM duty cycle limit (must be less than 256).
#define PWM_MAX        255


//******************************************************************************
// Function prototypes
//******************************************************************************
void PWM_Start(void);
void PWM_Stop(void);
unsigned char PWM_IncrementDutyCycle(void);
unsigned char PWM_DecrementDutyCycle(void);

#endif // PWM_H

